JavaStubWriter (Axis API)
Keywords: org.apache.axis.wsdl.toJava.JavaStubWriter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaStubWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaStubWriter

All Implemented Interfaces:
  Generator

public class JavaStubWriter
extends JavaClassWriter

This is Wsdl2java's stub writer. It writes the Stub.java file which contains the Stub class.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` Field log

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`JavaStubWriter(Emitter emitter, BindingEntry bEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected java.lang.String` | `getExtendsText()` Returns "extends org.apache.axis.client.Stub ".
`protected java.lang.String` | `getImplementsText()` Returns "implements ".
`protected void` | `writeBindingMethods(java.io.PrintWriter pw, java.util.List deferredBindings)` for each of the TypeEntry objects in the deferredBindings list, we need to write code that will associate a class with a schema namespace/name.
`protected void` | `writeFaultInfo(java.io.PrintWriter pw, javax.wsdl.BindingOperation bindOp)` This function writes the regsiterFaultInfo API calls
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the binding's stub file.
`protected void` | `writeOperation(java.io.PrintWriter pw, javax.wsdl.BindingOperation operation, Parameters parms, java.lang.String soapAction, java.lang.String opStyle, boolean oneway, int opIndex)` Write the stub code for the given operation.
`protected void` | `writeOperationMap(java.io.PrintWriter pw)` Method writeOperationMap
`protected void` | `writeOutputAssign(java.io.PrintWriter pw, java.lang.String target, Parameter param, java.lang.String source)` writeOutputAssign
`protected void` | `writeParameters(java.io.PrintWriter pw, Parameters parms)` Method writeParameters
`protected void` | `writeResponseHandling(java.io.PrintWriter pw, Parameters parms)` Method writeResponseHandling
`protected void` | `writeSerializationDecls(java.io.PrintWriter pw, boolean hasMIME, java.lang.String namespace)` In the stub constructor, write the serializer code for the complex types.
`protected void` | `writeSerializationInit(java.io.PrintWriter pw, TypeEntry type)` Method writeSerializationInit

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getClassText, getFileName, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

  Field log

Constructor Detail

### JavaStubWriter

    public JavaStubWriter(Emitter emitter,
                          BindingEntry bEntry,
                          SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `bEntry` -
  `symbolTable` -

Method Detail

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends org.apache.axis.client.Stub ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### getImplementsText

    protected java.lang.String getImplementsText()

  Returns "implements ".

  Overrides:
    `getImplementsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the binding's stub file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeBindingMethods

    protected void writeBindingMethods(java.io.PrintWriter pw,
                                       java.util.List deferredBindings)

  for each of the TypeEntry objects in the deferredBindings list, we need to write code that will associate a class with a schema namespace/name. This method writes a number of private methods out that do this in batches of size MAXIMUM_BINDINGS_PER_METHOD so that generated classes do not end up with a single method that exceeds the 64K limit that the VM imposes on all methods.

  Parameters:
    `pw` - a `PrintWriter` value
    `deferredBindings` - a `List` of TypeEntry objects

### writeOperationMap

    protected void writeOperationMap(java.io.PrintWriter pw)

  Method writeOperationMap

  Parameters:
    `pw` -

### writeFaultInfo

    protected void writeFaultInfo(java.io.PrintWriter pw,
                                  javax.wsdl.BindingOperation bindOp)

  This function writes the regsiterFaultInfo API calls

  Parameters:
    `pw` -
    `bindOp` -

### writeSerializationDecls

    protected void writeSerializationDecls(java.io.PrintWriter pw,
                                           boolean hasMIME,
                                           java.lang.String namespace)

  In the stub constructor, write the serializer code for the complex types.

  Parameters:
    `pw` -
    `hasMIME` -
    `namespace` -

### writeSerializationInit

    protected void writeSerializationInit(java.io.PrintWriter pw,
                                          TypeEntry type)

  Method writeSerializationInit

  Parameters:
    `pw` -
    `type` -

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  javax.wsdl.BindingOperation operation,
                                  Parameters parms,
                                  java.lang.String soapAction,
                                  java.lang.String opStyle,
                                  boolean oneway,
                                  int opIndex)

  Write the stub code for the given operation.

  Parameters:
    `pw` -
    `operation` -
    `parms` -
    `soapAction` -
    `opStyle` -
    `oneway` -
    `opIndex` -

### writeParameters

    protected void writeParameters(java.io.PrintWriter pw,
                                   Parameters parms)

  Method writeParameters

  Parameters:
    `pw` -
    `parms` -

### writeResponseHandling

    protected void writeResponseHandling(java.io.PrintWriter pw,
                                         Parameters parms)

  Method writeResponseHandling

  Parameters:
    `pw` -
    `parms` -

### writeOutputAssign

    protected void writeOutputAssign(java.io.PrintWriter pw,
                                     java.lang.String target,
                                     Parameter param,
                                     java.lang.String source)

  writeOutputAssign

  Parameters:
    `pw` -
    `target` - (either "return" or "something ="
    `source` - (source String)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.